/**********************************************************************************/
/*										  */
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved			  */	
/* api_intr.h 									  */
/*										  */
/* This file is part of the "ADI USB ADSL Driver for Linux".			  */	
/*										  */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it      */
/* and/or modify it under the terms of the GNU General Public License as 	  */
/* published by the Free Software Foundation; either version 2 of the License,    */
/* or (at your option) any later version.					  */
/*										  */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be     */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	  */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		  */
/* GNU General Public License for more details.					  */
/*										  */
/* You should have received a copy of the GNU General Public License		  */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	  */
/**********************************************************************************/

#if !defined(API_INTR_H)
#define API_INTR_H


typedef enum _INTR_ERR {
	INTR_SUCCESS				= 100,
	INTR_CMVENCODE_ERROR		,
	INTR_CMVDECODE_ERROR		,
	INTR_CMVOFFSET_ERROR		,
	INTR_CMVVALUE_ERROR			,
	INTR_DRIVER_ERROR			,
	INTR_CMVSEND_ERROR			,
	INTR_OAMSEND_ERROR			,
	INTR_OAMRESET_CNTR_ERROR	,
	INTR_OAMREAD_CNTR_ERROR		,
	INTR_CONNTYPE_EXTRACT_ERROR ,
	INTR_ATMDRV_VPIVCI_WR_ERROR ,
	INTR_REGISTRY_WR_ERROR		,
	INTR_ATMDRV_ENCAP_WR_ERROR	,
	INTR_DRIVERTYPE_ERROR		,
	INTR_MODEM_RESET_ERROR		,
	INTR_GPR_READ_ERROR			,
	INTR_GPR_WRITE_ERROR		,
	INTR_DSP_MEMREAD_ERROR		,
	INTR_DSP_MEMWRITE_ERROR		,
	INTR_DMT_WRITE_ERROR		,
	INTR_DMT_READ_ERROR			,
	INTR_STATEREG_READ_ERROR	,
	INTR_STATEREG_WRITE_ERROR	,
	INTR_ERRORREG_READ_ERROR	,
	INTR_ERRORREG_WRITE_ERROR	,
	INTR_MACADDRESS_ERROR		,
	INTR_CMV_PENDING_ERROR		,
	INTR_RESET_CNTRS_ERROR		,
	INTR_GET_STATS_ERROR		,
	INTR_WINSOCK_INIT_ERROR		,
	INTR_WINSOCK_VER_ERROR		,
	INTR_INVALID_SOCKET_ERROR	,
	INTR_SETSOCKETOPT_ERROR		,
	INTR_BIND_SOCKET_ERROR		,
	INTR_IPADD_MEMBERSHIP_ERROR	,
	INTR_IPMULTICAST_TTL_ERROR	,
	INTR_IPMULTICAST_LOOP_ERROR	,
	INTR_RCTIMEO_SOCKET_ERROR	,
	INTR_SENDTO_SOCKET_ERROR	,
	INTR_RECFROM_SOCKET_ERROR	,
	INTR_MAX_LOOP_ERROR			,
	INTR_ETH_RECEIVE_ERROR		,
	INTR_NOETHCARD_ERROR
} INTR_ERR;

#endif

