/**********************************************************************************/
/*										  */
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved			  */	
/* linuxusbapi.h 								  */
/*										  */
/* This file is part of the "ADI USB ADSL Driver for Linux".			  */	
/*										  */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it      */
/* and/or modify it under the terms of the GNU General Public License as 	  */
/* published by the Free Software Foundation; either version 2 of the License,    */
/* or (at your option) any later version.					  */
/*										  */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be     */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	  */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		  */
/* GNU General Public License for more details.					  */
/*										  */
/* You should have received a copy of the GNU General Public License		  */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	  */
/**********************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>      /* open */
#include <sys/ioctl.h>  /* ioctl */
#include <unistd.h>     /* close */
#include <linux/usbdevice_fs.h>
#include <limits.h>     /* PATH_MAX */
#include <dirent.h>     /* DIR */
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/udp.h>
#include <net/if.h>


#include "sometypes.h"
#include "../ADIUTIL/Konst.h"
#include "mlcc.h"
#include "mp_int.h"

#include "driver_access.h"
#include "api_intr.h"

#include "../USER/Stuff.h"
#include "../AdiUsbAdslDriver.h"

#define ApiVersion     "1.0.1"
#define ApiReleaseDate "2003/03/28"

#define MAX_TEMP_STR  80
#define MAX_VER_LEN   40

extern UINT	uiAPIDetectedDevice ;
extern UINT	uiAPILastInternalError;


HANDLE OpenDriver(void);
void strupper(UCHAR *s);

extern int errno;







